/**
 * DetailInfo 部件模型
 *
 * @export
 * @class DetailInfoModel
 */
export default class DetailInfoModel {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof DetailInfoModel
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'leadid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'fullname',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'description',
        prop: 'description',
        dataType: 'TEXT',
      },
      {
        name: 'industrycode',
        prop: 'industrycode',
        dataType: 'SSCODELIST',
      },
      {
        name: 'revenue',
        prop: 'revenue',
        dataType: 'BIGDECIMAL',
      },
      {
        name: 'numberofemployees',
        prop: 'numberofemployees',
        dataType: 'INT',
      },
      {
        name: 'sic',
        prop: 'sic',
        dataType: 'TEXT',
      },
      {
        name: 'transactioncurrencyname',
        prop: 'transactioncurrencyname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'leadid',
        prop: 'leadid',
        dataType: 'GUID',
      },
      {
        name: 'lead',
        prop: 'leadid',
        dataType: 'FONTKEY',
      },
    ]
  }

}